﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using MindFusion.Charting.Wpf;
using System.Windows.Media.Effects;

namespace DateTimeValues
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            lineChart1.Title = "Profit/Loss";
            lineChart1.TitleFontSize = 18;

            LineSeries series = new LineSeries();
            lineChart1.Series.Add(series);
            series.Effect = new DropShadowEffect() { Opacity = 0.7, ShadowDepth = 3 };
            //series.Fills = new List<Brush>();
            //series.Strokes = new List<Brush>();
            //series.ScatterFills = new List<Brush>();
            //series.ScatterStrokes = new List<Brush>();
            series.Strokes.Add(Brushes.Red);
            series.StrokeThickness = 2;
            series.ScatterType = ScatterType.Diamond;
            series.ScatterSize = 12;
            series.ScatterFills.Add(Brushes.Pink);
            series.ScatterStrokes.Add(Brushes.Red);
            series.StrokeDashArray = new DoubleCollection(new double[]{4,1});

            DateTime d1 = new DateTime(2011, 3, 31);
            DateTime d2 = new DateTime(2011, 4, 30);
            DateTime d3 = new DateTime(2011, 5, 31);
            DateTime d4 = new DateTime(2011, 6, 30);
            DateTime d5 = new DateTime(2011, 7, 31);
            DateTime d6 = new DateTime(2011, 8, 31);
            DateTime d7 = new DateTime(2011, 9, 30);
            DateTime d8 = new DateTime(2011, 10, 31);

            series.XData.Clear();
            series.XData.Add(d1.ToOADate());
            series.XData.Add(d2.ToOADate());
            series.XData.Add(d3.ToOADate());
            series.XData.Add(d4.ToOADate());
            series.XData.Add(d5.ToOADate());
            series.XData.Add(d6.ToOADate());

            series.YData = new DoubleCollection() { 228, 213, -34, -56, 109, -40, -69, 38 };

            LineSeries series1 = new LineSeries();
            series1.Effect = new DropShadowEffect() { Opacity = 0.7, ShadowDepth = 3 };
            //series1.Fills = new List<Brush>();
            //series1.Strokes = new List<Brush>();
            //series1.ScatterFills = new List<Brush>();
            //series1.ScatterStrokes = new List<Brush>();

            series1.Strokes.Add(Brushes.Blue);
            series1.StrokeThickness = 2;
            series1.ScatterType = ScatterType.InvertedTriangle;
            series1.ScatterSize = 12;
            series1.ScatterFills.Add(Brushes.LightBlue);
            series1.ScatterStrokes.Add(Brushes.Blue);
            series1.StrokeDashArray = new DoubleCollection(new double[] { 3, 1, 0.5, 1 });

            DateTime dt1 = new DateTime(2012, 1, 15);
            DateTime dt2 = new DateTime(2012, 1, 31);
            DateTime dt3 = new DateTime(2012, 3, 10);
            DateTime dt4 = new DateTime(2012, 3, 31);
            DateTime dt5 = new DateTime(2012, 4, 10);
            DateTime dt6 = new DateTime(2012, 4, 25);
            DateTime dt7 = new DateTime(2012, 4, 30);
            DateTime dt8 = new DateTime(2012, 5, 2);




            series1.XData.Add(dt1.ToOADate());
            series1.XData.Add(dt2.ToOADate());
            series1.XData.Add(dt3.ToOADate());
            series1.XData.Add(dt4.ToOADate());
            series1.XData.Add(dt5.ToOADate());
            series1.XData.Add(dt6.ToOADate());

            series1.YData = new DoubleCollection() { 128, 113, 134, 156, -45, 109, 88, -54 };
            lineChart1.Series.Add(series1);

            lineChart1.X2Axes.Add(new Axis());
            series1.XAxis = lineChart1.X2Axes[0];
            lineChart1.X2Axes[0].ValueFormat = ValueFormat.DateTime;
            DateTime start1 = new DateTime(2012, 1, 1);
            DateTime end1 = new DateTime(2012, 5, 7);
            lineChart1.X2Axes[0].MinValue = start1.ToOADate();
            lineChart1.X2Axes[0].MaxValue = end1.ToOADate();
            lineChart1.X2Axes[0].LabelFormat = "MMMM dd";
            lineChart1.X2Axes[0].LabelType = LabelType.AutoScale;
            lineChart1.X2Axes[0].Interval = (end1.ToOADate() - start1.ToOADate()) / 8;
            lineChart1.X2Axes[0].LabelRotationAngle = 35;
            lineChart1.X2Axes[0].Title = "";
            lineChart1.X2Axes[0].Tick = 5;
            lineChart1.X2Axes[0].LabelStroke = Brushes.Blue;
            lineChart1.X2Axes[0].TitleStroke = Brushes.Blue;
            lineChart1.X2Axes[0].Title = "2012";


            lineChart1.XAxes[0].ValueFormat = ValueFormat.DateTime;
            DateTime start = new DateTime(2011, 3, 1);
            DateTime end = new DateTime(2011, 10, 31);
            lineChart1.XAxes[0].MinValue = start.ToOADate();
            lineChart1.XAxes[0].MaxValue = end.ToOADate();
            lineChart1.XAxes[0].LabelFormat = "MMMM dd";
            lineChart1.XAxes[0].LabelType = LabelType.AutoScale;
            lineChart1.XAxes[0].Interval = (end.ToOADate() - start.ToOADate()) / 8;
            lineChart1.XAxes[0].LabelRotationAngle = 35;
            lineChart1.XAxes[0].Title = "";
            lineChart1.XAxes[0].Tick = 5;
            lineChart1.XAxes[0].Title = "2011";
            lineChart1.XAxes[0].LabelStroke = Brushes.Red;
            lineChart1.XAxes[0].TitleStroke = Brushes.Red;

            lineChart1.YAxes[0].Interval = 30;
            lineChart1.YAxes[0].Title = "USD, in Mlns.";


        }
    }
}
